package sgc.portal.cw.cw0623.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0623.dto.CW06230001USearch;
import sgc.portal.cw.cw0623.model.CW06230001U;

import java.util.List;

@Mapper
public interface CW06230001UMapper {
	
    List<EasyHashMap<String, Object>> getList(CW06230001USearch search);
    
    int insert(CW06230001U cW06230001U);

    int update(CW06230001U cW06230001U);

    int delete(CW06230001U cW06230001U);

	int selectSeq(CW06230001U cW06230001U);
	
    List<EasyHashMap<String, Object>> selectGoalGbnAuthList(CW06230001USearch search);
	
    List<EasyHashMap<String, Object>> selectGoalList(CW06230001USearch search);
}
